MDL-62497 javascript: add babel transpiling to Grunt for ES6 support
[moodle.git] / package.json
index 102c8b9..2ed43df 100644 (file)
@@ -3,11 +3,24 @@
   "private": true,
   "description": "Moodle",
   "devDependencies": {
+    "@babel/core": "7.4.5",
+    "@babel/plugin-proposal-class-properties": "7.4.4",
+    "@babel/plugin-proposal-json-strings": "7.2.0",
+    "@babel/plugin-syntax-dynamic-import": "7.2.0",
+    "@babel/plugin-syntax-import-meta": "7.2.0",
+    "@babel/preset-env": "7.4.5",
+    "ajv": "6.9.1",
     "async": "1.5.2",
-    "eslint": "4.6.1",
+    "babel-eslint": "10.0.1",
+    "babel-plugin-transform-es2015-modules-amd-lazy": "2.0.1",
+    "babel-preset-minify": "0.5.0",
+    "eslint": "4.12.1",
+    "eslint-plugin-babel": "5.3.0",
     "eslint-plugin-promise": "3.5.0",
     "gherkin-lint": "1.1.3",
+    "glob": "7.1.3",
     "grunt": "1.0.1",
+    "grunt-babel": "8.0.0",
     "grunt-contrib-uglify": "1.0.1",
     "grunt-contrib-watch": "1.0.0",
     "grunt-eslint": "20.1.0",